Desbordamiento de búfer en Firefox 1.x por fallo en tratamiento de URLs

SeguridadVirus

Se ha descubierto una vulnerabilidad en la versión 1.0.6 (y anteriores) del navegador Firefox que puede ser explotada por usuarios maliciosos para provocar denegaciones de servicio en dicho programa o, potencialmente, para comprometer el sistema del usuario.

Firefox es el navegador web del proyecto Mozilla, un producto de creciente popularidad creciente, con más de 70 millones de descargas.

La vulnerabilidad en sí se debe a un error en el tratamiento de URLs con determinados caracteres en el nombre de dominio, y puede ser explotada para provocar desbordamientos de búfer basados en el heap.

La explotación con éxito de la vulnerabilidad provocaría la caída de Firefox, y potencialmente podría ser también utilizada para la ejecución de código arbitrario. Para la explotación exitosa se requiere que la víctima visite un sitio web malicioso o abra un documento HTML especialmente construido a tal efecto.

Puede observarse una prueba de concepto de la denegación de servicio en la siguiente URL (precaución, termina la ejecución del navegador): http://www.security-protocols.com/firefox-death.html

A parte de la versión 1.0.6 y anteriores para Linux y Windows, la versión 1.5 Beta 1 también se ve afectada por el problema.

A la espera de un parche que solvente el problema o una nueva versión libre de la vulnerabilidad, se recomienda restringir la navegación a sitios de total confianza.

Leer la biografía del autor  Ocultar la biografía del autor